Page MenuHomePhabricator

Upgrade the WMF-cluster >= Ubuntu 10.04
Closed, ResolvedPublic

Description

The cluster is overdue an upgrade to 10.04 from 8.04 (granted, some utility servers are already upgraded).

As such, there are many package upgrades etc that will be dealt with by upgrading the OS

Creating this as a tracking bug for it


Version: unspecified
Severity: enhancement

Details

Reference
bz29915

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

bzimport raised the priority of this task from to Unbreak Now!.Nov 21 2014, 11:31 PM
bzimport set Reference to bz29915.
Reedy created this task.Jul 15 2011, 8:35 PM

Is this a tracking bug (should depend on the various issues, so them getting fixed makes this one closer to closable) or a bug entry for the upgrade itself (should block them, so that when this one is fixed those can be dealt with)?

(In reply to comment #1)

Is this a tracking bug (should depend on the various issues, so them getting
fixed makes this one closer to closable) or a bug entry for the upgrade itself
(should block them, so that when this one is fixed those can be dealt with)?

I had them as depends originally, but then swapped them over.

These things "should" be fixed (or at least, the upgrade element) when we do the migration of the apaches, image scalers etc etc...

http://rt.wikimedia.org/Ticket/Display.html?id=22 is the RT ticket for this. Ryan Lane is working on this project (updating server binaries) but hasn't said anything since April. CT is also looking into this.

Reedy added a comment.Jul 29 2011, 4:24 PM

(In reply to comment #3)

http://rt.wikimedia.org/Ticket/Display.html?id=22 is the RT ticket for this.
Ryan Lane is working on this project (updating server binaries) but hasn't said
anything since April. CT is also looking into this.

I think it's a case of too much ops work, not enough ops staff members

Hopefully with the couple of extra new hires, we'll get some more activity soon

The imagescalers can likely be upgraded very soon. Upgrades were tested in the past, but weren't pushed to all nodes. We need to retest with the het deploy changes, then we can upgrade that cluster.

We'll likely start there, then test changes for normal apaches.

Assigning this to Peter Y. so he can post updates on the progress of this.

Renaming bug to be a task instead.

it was completed recently

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJul 10 2016, 10:48 PM